Bug 856166 - webadmin: cannot create a 3.0 pool with an unattached v2 domain (v2 domains are filtered out in attach domain dialogue)
webadmin: cannot create a 3.0 pool with an unattached v2 domain (v2 domains a...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.0
x86_64 Linux
high Severity high
: ---
: 3.1.0
Assigned To: Asaf Shakarchi
Dafna Ron
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-11 07:15 EDT by Dafna Ron
Modified: 2016-02-10 15:13 EST (History)
10 users (show)

See Also:
Fixed In Version: SI20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:02:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen shots (107.55 KB, application/x-gzip)
2012-09-11 07:15 EDT, Dafna Ron
no flags Details

  None (edit)
Description Dafna Ron 2012-09-11 07:15:13 EDT
Created attachment 611727 [details]
screen shots

Description of problem:

UI is filtering the V2 domains when we try to attach a domain to a newly created 3.0 DC. 
we can see the V1 domains but not the V2 domains unless we select the DC when we create the domain. 

Version-Release number of selected component (if applicable):

si17

How reproducible:

100%

Steps to Reproduce:
1. create a V2 domain with DC=none
2. create a 3.0 DC and cluster and add a host to the DC (My host has the 3.1 vdsm) already installed
3. in Data Centers -> Storage -> attach data
  
Actual results:

we only see V1 domains. if we have V2 domains we get an error that no compatible domains were found 

Expected results:

we should see both V1 and V2 domains in a 3.0 DC

Additional info: screen shots
Comment 1 Asaf Shakarchi 2012-09-20 10:46:40 EDT
Patch submitted: http://gerrit.ovirt.org/#/c/8091/
Comment 2 Allon Mureinik 2012-10-03 07:10:29 EDT
merged change id I58a765eb1b5d122d06111e2151325110096c1623
Comment 3 Dafna Ron 2012-10-07 04:59:10 EDT
verified on si20

Note You need to log in before you can comment on or make changes to this bug.